<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>	
		
<!-- ========================================= Realisasi Perilaku Menu =============================================== -->
		 <record model="ir.actions.act_window" id="action_menu_realisasi_perilaku_atasan">
            <field name="name">Penilaian Perilaku</field>
            <field name="res_model">project.perilaku</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id_atasan','=',uid),('state','in',('propose','rejected_bkd'))]</field>
            <field name="search_view_id" ref="df_project.open_view_realisasi_perilaku_bulanan_all_filter"/>
            <field name="help" type="html">
              <p >
                Menu ini khusus untuk atasan, dan menampilkan kegiatan Perilaku,Tugas Tambahan, Dan Kreatifitas yang harus di periksa.
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="tree_view_menu_realisasi_perilaku_atasan">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_tree"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku_atasan"/>
		</record>
        <record model="ir.actions.act_window.view" id="form_view_menu_realisasi_perilaku_atasan">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_form"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku_atasan"/>
		</record>
		
		<record model="ir.actions.act_window" id="action_menu_realisasi_perilaku_banding">
            <field name="name">Penilaian Banding Perilaku </field>
            <field name="res_model">project.perilaku</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id_banding','=',uid),('state','=','appeal')]</field>
            <field name="search_view_id" ref="df_project.open_view_realisasi_perilaku_bulanan_all_filter"/>
            <field name="help" type="html">
              <p >
                Menu ini khusus untuk atasan banding dan menampilkan realisasi yang sedang pengajuan banding
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="tree_view_menu_realisasi_perilaku_banding">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_tree"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku_banding"/>
		</record>
        <record model="ir.actions.act_window.view" id="form_view_menu_realisasi_perilaku_banding">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_form"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku_banding"/>
		</record>
		
		<record model="ir.actions.act_window" id="action_menu_realisasi_perilaku_bkd">
            <field name="name">Verifikasi Perilaku</field>
            <field name="res_model">project.perilaku</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated')]</field>
            <field name="search_view_id" ref="df_project.open_view_realisasi_perilaku_bulanan_all_filter"/>
            <field name="help" type="html">
              <p >
                Menu khusus untuk tim verifikatur, dan menampilkan kegiatan yang harus di verifikasi.
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="tree_view_menu_realisasi_perilaku_bkd">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_tree"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku_bkd"/>
		</record>
        <record model="ir.actions.act_window.view" id="form_view_menu_realisasi_perilaku_bkd">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_form"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku_bkd"/>
		</record>
		
		<record model="ir.actions.act_window" id="action_menu_done_realisasi_perilaku_bkd">
            <field name="name">Realisasi Perilaku Selesai</field>
            <field name="res_model">project.perilaku</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','done')]</field>
            <field name="search_view_id" ref="df_project.open_view_realisasi_perilaku_bulanan_all_filter"/>
            <field name="help" type="html">
              <p >
                Menu khusus untuk tim verifikatur, dan menampilkan kegiatan yang harus di verifikasi.
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="tree_view_menu_done_realisasi_perilaku_bkd">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_tree"/>
			<field name="act_window_id" ref="action_menu_done_realisasi_perilaku_bkd"/>
		</record>
        <record model="ir.actions.act_window.view" id="form_view_menu_done_realisasi_perilaku_bkd">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_form"/>
			<field name="act_window_id" ref="action_menu_done_realisasi_perilaku_bkd"/>
		</record>
		
	<!-- Unit-->
		<record model="ir.actions.act_window" id="action_menu_realisasi_perilaku_all">
            <field name="name">Realisasi Perilaku</field>
            <field name="res_model">project.perilaku</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">['|','|',('user_id_bkd','=',uid),('user_id_atasan','=',uid),('user_id_banding','=',uid)]</field>
            <field name="search_view_id" ref="df_project.open_view_realisasi_perilaku_bulanan_all_filter"/>
			<field name="help" type="html">
              <p >
                Data Kosong
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="tree_view_menu_realisasi_perilaku_all">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_tree"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku_all"/>
		</record>
        <record model="ir.actions.act_window.view" id="form_view_menu_realisasi_perilaku_all">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_perilaku_form"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku_all"/>
		</record>
		
		
		
		
<!-- Kategori Perilaku-->
		
		<record model="ir.actions.act_window" id="open_view_realisasi_perilaku_bkd_normal">
            <field name="name">Verifikasi Perilaku Normal</field>
            <field name="res_model">project.perilaku</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="df_project.open_view_realisasi_perilaku_bulanan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated'),('komitmen_verifikasi_notsame','=',False)]</field>
            <field name="help" type="html">
          		  <p>
             	Selamat, tidak ada pekerjaan untuk memverifikasi kategori ini
                        </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="open_view_realisasi_perilaku_bkd_normal_tree">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="view_menu_realisasi_perilaku_tree"/>
			<field name="act_window_id" ref="open_view_realisasi_perilaku_bkd_normal"/>
		</record>
        <record model="ir.actions.act_window.view" id="open_view_realisasi_perilaku_bkd_normal_from">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="view_menu_realisasi_perilaku_form"/>
			<field name="act_window_id" ref="open_view_realisasi_perilaku_bkd_normal"/>
		</record>		

		<record model="ir.actions.act_window" id="open_view_realisasi_perilaku_bkd_komitmen">
            <field name="name">Verifikasi Perilaku Komitmen Tidak Sama</field>
            <field name="res_model">project.perilaku</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_realisasi_perilaku_bulanan_all_filter"/>
			<field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated'),('komitmen_verifikasi_notsame','=',True)]</field>
            <field name="help" type="html">
                        <p>
             	Selamat, tidak ada pekerjaan untuk memverifikasi kategori ini
                        </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="open_view_realisasi_perilaku_bkd_komitmen_tree">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="view_menu_realisasi_perilaku_tree"/>
			<field name="act_window_id" ref="open_view_realisasi_perilaku_bkd_komitmen"/>
		</record>
        <record model="ir.actions.act_window.view" id="open_view_realisasi_perilaku_bkd_komitmen_from">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="view_menu_realisasi_perilaku_form"/>
			<field name="act_window_id" ref="open_view_realisasi_perilaku_bkd_komitmen"/>
		</record>		


		

	</data>
</openerp>